RDKit: ForceFields::MMFF::MMFFChgCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ForceFields::MMFF::MMFFChgCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const std::pair< int, const MMFFChg * > | getMMFFChgParams (const unsigned int bondType, const unsigned int iAtomType, const unsigned int jAtomType)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions
static MMFFChgCollection * | getMMFFChg (const std::string &mmffChg="")
| gets a pointer to the singleton MMFFChgCollection More...

## Detailed Description

Definition at line 346 of file MMFF/Params.h.

## Member Function Documentation

static MMFFChgCollection* ForceFields::MMFF::MMFFChgCollection::getMMFFChg | ( | const std::string & | mmffChg = `""` | ) |
| static

gets a pointer to the singleton MMFFChgCollection

Parameters

  mmffChg | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFChgCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFChgCollection has already been instantiated and `mmffChg` is empty, the singleton will be returned.
- if `mmffChg` is empty and the singleton MMFFChgCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffChg` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const std::pair<int, const MMFFChg *> ForceFields::MMFF::MMFFChgCollection::getMMFFChgParams | ( | const unsigned int | bondType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType
| ) |  |
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFChg object, NULL on failure.

Definition at line 370 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h